## class SG_EXPORT Extensions

> Extensions class which encapsulates the querring of extensions and associated function pointers, and provide convinience wrappers to check for the extensions or use the associated functions

## Inheritance:

### Public Methods

Extensions()
Extensions(const Extensions& rhs)
void lowestCommonDenominator(const Extensions& rhs)
void setupGLExtenions()
void setBlendColorSupported(bool flag)
bool isBlendColorSupported() const
void setBlendColorProc(void* ptr)
void glBlendColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha) const

### Protected Fields

bool _isBlendColorSupported
void* _glBlendColor

### Protected Methods

~Extensions()

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> Extensions class which encapsulates the querring of extensions and associated function pointers, and provide convinience wrappers to check for the extensions or use the associated functions

`Extensions()`

`Extensions(const Extensions& rhs)`

`void lowestCommonDenominator(const Extensions& rhs)`

`void setupGLExtenions()`

`void setBlendColorSupported(bool flag)`

`bool isBlendColorSupported() const`

`void setBlendColorProc(void* ptr)`

`void glBlendColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha) const`

`~Extensions()`

`bool _isBlendColorSupported`

`void* _glBlendColor`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.